=== modified file 'loggerhead/history.py'
--- loggerhead/history.py	2007-06-21 16:39:33 +0000
+++ loggerhead/history.py	2007-06-21 17:21:55 +0000
@@ -178,6 +178,16 @@
 
 NONBREAKING_SPACE = u'\N{NO-BREAK SPACE}'.encode('utf-8')
 
+def prepare_for_kid(s):
+    """
+    XXX
+    
+    clean up a string for html display.  expand any tabs, encode any html
+    entities, and replace spaces with '&nbsp;'.  this is primarily for use
+    in displaying monospace text.
+    """
+    return s.expandtabs().replace(' ', NONBREAKING_SPACE)
+
 class History (object):
     
     def __init__(self):
@@ -764,20 +774,20 @@
                     new_lineno = lines[1]
                 elif line.startswith(' '):
                     chunk.diff.append(util.Container(old_lineno=old_lineno, new_lineno=new_lineno,
-                                                     type='context', line=util.html_clean(line[1:])))
+                                                     type='context', line=prepare_for_kid(line[1:])))
                     old_lineno += 1
                     new_lineno += 1
                 elif line.startswith('+'):
                     chunk.diff.append(util.Container(old_lineno=None, new_lineno=new_lineno,
-                                                     type='insert', line=util.html_clean(line[1:])))
+                                                     type='insert', line=prepare_for_kid(line[1:])))
                     new_lineno += 1
                 elif line.startswith('-'):
                     chunk.diff.append(util.Container(old_lineno=old_lineno, new_lineno=None,
-                                                     type='delete', line=util.html_clean(line[1:])))
+                                                     type='delete', line=prepare_for_kid(line[1:])))
                     old_lineno += 1
                 else:
                     chunk.diff.append(util.Container(old_lineno=None, new_lineno=None,
-                                                     type='unknown', line=util.html_clean(repr(line))))
+                                                     type='unknown', line=prepare_for_kid(repr(line))))
             if chunk is not None:
                 chunks.append(chunk)
             return chunks
@@ -909,9 +919,8 @@
                 if len(trunc_revno) > 10:
                     trunc_revno = trunc_revno[:9] + '...'
 
-            text = text.expandtabs().replace(' ', NONBREAKING_SPACE)
             yield util.Container(parity=parity, lineno=lineno, status=status,
-                                 change=change, text=text)
+                                 change=change, text=prepare_for_kid(text))
             lineno += 1
         
         self.log.debug('annotate: %r secs' % (time.time() - z,))

=== modified file 'loggerhead/templates/revision.kid'
--- loggerhead/templates/revision.kid	2007-01-24 19:26:50 +0000
+++ loggerhead/templates/revision.kid	2007-06-21 17:21:55 +0000
@@ -165,19 +165,19 @@
                 <tr py:for="line in chunk.diff" class="diff-chunk collapse-file-${util.uniq(uniqs, item.file_id)}-content">
                     <span py:if="line.old_lineno" py:strip="True">
                         <td class="lineno">${line.old_lineno}</td>
-                        <td class="diff-${line.old_type}">${XML(line.old_line)}</td>
+                        <td class="diff-${line.old_type}">${line.old_line}</td>
                     </span>
                     <span py:if="not line.old_lineno" py:strip="True">
                         <td class="lineno-skip">${line.old_lineno}</td>
-                        <td class="diff-${line.old_type}-skip">${XML(line.old_line)}</td>
+                        <td class="diff-${line.old_type}-skip">${line.old_line}</td>
                     </span>
                     <span py:if="line.new_lineno" py:strip="True">
                         <td py:if="line.new_lineno" class="lineno">${line.new_lineno}</td>
-                        <td class="diff-${line.new_type}">${XML(line.new_line)}</td>
+                        <td class="diff-${line.new_type}">${line.new_line}</td>
                     </span>
                     <span py:if="not line.new_lineno" py:strip="True">
                         <td py:if="not line.new_lineno" class="lineno-skip">${line.new_lineno}</td>
-                        <td class="diff-${line.new_type}-skip">${XML(line.new_line)}</td>
+                        <td class="diff-${line.new_type}-skip">${line.new_line}</td>
                     </span>
                 </tr>
                 <tr class="diff-chunk-spacing collapse-file-${util.uniq(uniqs, item.file_id)}-content"> <td colspan="4"> &nbsp; </td> </tr>

